auth-js
=======

> Auth JS Client for e-city

Installation
------------

### Using yarn

`yarn add auth-js`

### Using npm

`npm i --save auth-js`

Usage
=====

Config
------

```javascript
const baseURL = 'http://isse.paliari.com.br/app/rest'
const Auth = {
  install (Vue, {baseURL}) {
    const auth = AuthJs({appModule: 'nfse', baseURL, statusBar: 'darken'})
    Vue.prototype.$auth = auth
    Vue.auth = auth
  }
}
Vue.use(Auth, {baseURL})
```

Methods
-------

All methods return the Promise instance.

### Sign In

```javascript

this.$auth.signIn().then( response => {
  // the response contains token and usuario e.g: {token: {...}, usuario: {...}}
  console.log('success', response)
})
.catch( e => {
  console.log('error', e)
})

```

### Sign Out

Sign out current session of user.

```javascript

this.$auth.signOut().then( response => {
  console.log('success', response)
})
.catch( e => {
  console.log('error', e)
})

```

### Update passowrd

Update current passowrd of user.

```javascript

this.$auth.updatePassword().then( response => {
  console.log('success', response)
})
.catch( e => {
  console.log('error', e)
})

```

### Account

Update account of user.

```javascript

this.$auth.account().then( response => {
  console.log('success', response)
})
.catch( e => {
  console.log('error', e)
})

```

### Image

Change image of perfil the user.

```javascript

this.$auth.image().then( response => {
  console.log('success', response)
})
.catch( e => {
  console.log('error', e)
})

```

### Address

Update address of user.

```javascript

this.$auth.address().then( response => {
  console.log('success', response)
})
.catch( e => {
  console.log('error', e)
})

```

### Modules

Insert/Remove modules of user.

```javascript

this.$auth.modules().then( response => {
  console.log('success', response)
})
.catch( e => {
  console.log('error', e)
})

```

### Current

Get current user.

```javascript

this.$auth.current().then( response => {
  console.log('success', response)
})
.catch( e => {
  console.log('error', e)
})

```

Dependencies
============

-	Promise (the browser suporte reuquired), see: [MDN Promise](https://developer.mozilla.org/pt-BR/docs/Web/JavaScript/Reference/Global_Objects/Promise)

License
-------

This project is licensed under [MIT License](http://en.wikipedia.org/wiki/MIT_License)
